## r-cran-unitizer 1.4.8

=== DESCRIPTION ===
Package: unitizer
Title: Interactive R Unit Tests
Description: Simplifies regression tests by comparing objects produced by test
    code with earlier versions of those same objects.  If objects are unchanged
    the tests pass, otherwise execution stops with error details.  If in
    interactive mode, tests can be reviewed through the provided interactive
    environment.
Version: 1.4.8
Authors@R: c(
    person(
    "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
    role=c("aut", "cre"))
    )
Depends: methods
Imports: stats, utils, crayon (>= 1.3.2), diffobj (>= 0.1.5.9000)
VignetteBuilder: knitr
Suggests: covr, knitr, rmarkdown, testthat
License: GPL (>= 2)
LazyData: true
URL: https://github.com/brodieG/unitizer
BugReports: https://github.com/brodieG/unitizer/issues
Collate: 'asciiml.R' 'capture.R' 'is.R' 'global.R' 'change.R'
        'class_unions.R' 'list.R' 'conditions.R' 'item.R' 'deparse.R'
        'text.R' 'item.sub.R' 'section.R' 'test.R' 'unitizer.R'
        'exec.R' 'prompt.R' 'browse.struct.R' 'browse.R' 'demo.R'
        'diff.R' 'faux_prompt.R' 'get.R' 'heal.R' 'load.R' 'ls.R'
        'misc.R' 'search.R' 'options.R' 'onload.R' 'parse.R' 'rename.R'
        'repairenvs.R' 'result.R' 'shims.R' 'size.R' 'state.R'
        'state.compare.R' 'translate.R' 'unitize.R' 'unitize.core.R'
        'unitizer-package.r' 'unitizer.add.R' 'upgrade.R'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2019-03-27 01:38:55 UTC; bg
Author: Brodie Gaslam [aut, cre]
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Repository: CRAN
Date/Publication: 2019-03-27 14:40:02 UTC

=== tests/test_pkgs/testpkg1/testpkg1.0/DESCRIPTION ===
Package: testpkg1
Title: Test Package for Unitizer
Description: Package used for testing unitizer functionality.
Version: 0.0.0
Author: Brodie Gaslam
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Suggests:
    unitizer
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1

=== debian/changelog ===
r-cran-unitizer (1.4.8-1) unstable; urgency=medium

  * Initial release (closes: #948747)

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 22:21:10 +0100

=== debian/control ===
Source: r-cran-unitizer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-crayon,
               r-cran-diffobj
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
Homepage: https://cran.r-project.org/package=unitizer

Package: r-cran-unitizer
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: interactive unit tests for GNU R
 Simplifies regression tests by comparing objects produced by test
 code with earlier versions of those same objects.  If objects are unchanged
 the tests pass, otherwise execution stops with error details.  If in
 interactive mode, tests can be reviewed through the provided interactive
 environment.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -type f \
	    \( -name "*.Rmd" -o \
	       -name "*DESCRIPTION" -o \
	       -name "*NAMESPACE" -o \
	       -iname "*INDEX" -o \
	       -iname "*.pdf" -o \
	       -iname "*.log" -o \
	       -iname "*.out" -o \
	       -name "*.Rout" -o \
	       -iname "*.log" -o \
	       -iname "*.R" -o \
	       -name "*.html" -o \
	       -name "*.rds" -o \
	       -name "*.rdb" -o \
	       -name "*.rdx" -o \
	       -iname "*.rd" -o \
	       -name startup.Rs -o \
	       -name utzflm \) \
	     -exec chmod -x \{\} \;

## r-cran-unitizer 1.4.10

=== debian/changelog ===
r-cran-unitizer (1.4.10-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:50:05 +0000

r-cran-unitizer (1.4.10-1) unstable; urgency=medium

  * New upstream version
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 08:51:54 +0200

r-cran-unitizer (1.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Mar 2020 08:21:30 +0100

r-cran-unitizer (1.4.8-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Mar 2020 07:26:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                r-base-dev,
                r-cran-crayon,
                r-cran-diffobj
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
 Homepage: https://cran.r-project.org/package=unitizer
+Rules-Requires-Root: no
 
 Package: r-cran-unitizer
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.Rmd" -o -name DESCRIPTION -o -name NAMESPACE -o -name "*.R" -o -name "*.html" -o -name "*.rds" -o -name "*.rdb" -o -name "*.rdx" \) -exec chmod -x \{\} \;

## r-cran-unitizer 1.4.12

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
     the tests pass, otherwise execution stops with error details.  If in
     interactive mode, tests can be reviewed through the provided interactive
     environment.
-Version: 1.4.8
+Version: 1.4.12
 Authors@R: c(
     person(
     "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
@@ -28,10 +28,10 @@
         'repairenvs.R' 'result.R' 'shims.R' 'size.R' 'state.R'
         'state.compare.R' 'translate.R' 'unitize.R' 'unitize.core.R'
         'unitizer-package.r' 'unitizer.add.R' 'upgrade.R'
-RoxygenNote: 6.0.1
+RoxygenNote: 7.1.0
 NeedsCompilation: no
-Packaged: 2019-03-27 01:38:55 UTC; bg
+Packaged: 2020-11-19 02:15:39 UTC; bg
 Author: Brodie Gaslam [aut, cre]
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2019-03-27 14:40:02 UTC
+Date/Publication: 2020-11-19 21:40:02 UTC

=== inst/expkg/unitizerdummypkg2/DESCRIPTION ===
Package: unitizerdummypkg2
Title: Dummy Package 2 For `unitizer` Testing
Version: 0.1
Author: Brodie Gaslam
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Description: Allows testing of search path manipulation functionality built
    into `unitizer`
Depends:
    R (>= 3.1.1)
License: GPL-2
LazyData: true
RoxygenNote: 5.0.1

=== debian/changelog ===
r-cran-unitizer (1.4.12-1) unstable; urgency=medium

  * Fix autopkgtest
  * New upstream version
  * Exclude some tests that somehow need online access

 -- Andreas Tille <tille@debian.org>  Wed, 16 Dec 2020 22:04:54 +0100

r-cran-unitizer (1.4.11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix more permissions

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2020 11:26:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-crayon,
                r-cran-diffobj
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
 Homepage: https://cran.r-project.org/package=unitizer

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.Rmd" -o \
	               -name "*DESCRIPTION" -o \
	               -name "*INDEX" -o \
	               -name "*NAMESPACE" -o \
	               -iname "*.R" -o \
	               -name "*.Rd" -o \
	               -name "*.html" -o \
	               -name "*.rds" -o \
	               -name "*.rdb" -o \
	               -name "*.rdx" -o \
	               -name "*.txt" \
	            \) -exec chmod -x \{\} \;

## r-cran-unitizer 1.4.17

=== DESCRIPTION ===
Package: unitizer
Title: Interactive R Unit Tests
Description: Simplifies regression tests by comparing objects produced by test
    code with earlier versions of those same objects.  If objects are unchanged
    the tests pass, otherwise execution stops with error details.  If in
    interactive mode, tests can be reviewed through the provided interactive
    environment.
Version: 1.4.17
Authors@R: c(
    person(
    "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
    role=c("aut", "cre")),
    person(family="R Core Team",
    email="R-core@r-project.org", role="cph",
    comment="Traceback function sources."
    )    )
Depends: methods
Imports: stats, utils, crayon (>= 1.3.2), diffobj (>= 0.1.5.9000)
VignetteBuilder: knitr
Suggests: knitr, rmarkdown
License: GPL-2 | GPL-3
URL: https://github.com/brodieG/unitizer
BugReports: https://github.com/brodieG/unitizer/issues
Collate: 'asciiml.R' 'capture.R' 'is.R' 'global.R' 'change.R'
        'class_unions.R' 'list.R' 'conditions.R' 'item.R' 'deparse.R'
        'text.R' 'item.sub.R' 'section.R' 'test.R' 'unitizer.R'
        'exec.R' 'prompt.R' 'browse.struct.R' 'browse.R' 'demo.R'
        'diff.R' 'faux_prompt.R' 'get.R' 'heal.R' 'load.R' 'ls.R'
        'misc.R' 'search.R' 'options.R' 'onload.R' 'parse.R' 'rename.R'
        'repairenvs.R' 'result.R' 'shims.R' 'size.R' 'state.R'
        'state.compare.R' 'traceback.R' 'translate.R' 'unitize.R'
        'unitize.core.R' 'unitizer-package.R' 'unitizer.add.R'
        'upgrade.R'
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2022-01-09 13:44:46 UTC; bg
Author: Brodie Gaslam [aut, cre],
  R Core Team [cph] (Traceback function sources.)
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Repository: CRAN
Date/Publication: 2022-01-09 22:40:02 UTC

=== debian/changelog ===
r-cran-unitizer (1.4.17-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4.17

 -- Nilesh Patra <nilesh@debian.org>  Tue, 11 Jan 2022 19:40:51 +0530

r-cran-unitizer (1.4.15-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version

  [ Nilesh Patra ]
  * d/t/run-unit-test: Modify autopkgtests to diff properly
  * Remove d/patches: Not needed anymore
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/rules: Remove image tags that inject a huge data in the html

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Sep 2021 02:31:09 +0530

## r-cran-unitizer 1.4.18

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
     the tests pass, otherwise execution stops with error details.  If in
     interactive mode, tests can be reviewed through the provided interactive
     environment.
-Version: 1.4.17
+Version: 1.4.18
 Authors@R: c(
     person(
     "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
@@ -31,11 +31,11 @@
         'state.compare.R' 'traceback.R' 'translate.R' 'unitize.R'
         'unitize.core.R' 'unitizer-package.R' 'unitizer.add.R'
         'upgrade.R'
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2022-01-09 13:44:46 UTC; bg
+Packaged: 2022-03-23 01:52:24 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   R Core Team [cph] (Traceback function sources.)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2022-01-09 22:40:02 UTC
+Date/Publication: 2022-03-23 13:20:02 UTC

=== debian/changelog ===
r-cran-unitizer (1.4.18-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 29 Mar 2022 18:19:14 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-crayon,
                r-cran-diffobj
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
 Homepage: https://cran.r-project.org/package=unitizer

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/unitizer_([-\d.]*)\.tar\.gz

## r-cran-unitizer 1.4.19

=== debian/changelog ===
r-cran-unitizer (1.4.19-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039670 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 10:21:54 +0200

r-cran-unitizer (1.4.19-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:35:32 +0200

## r-cran-unitizer 1.4.20

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
     the tests pass, otherwise execution stops with error details.  If in
     interactive mode, tests can be reviewed through the provided interactive
     environment.
-Version: 1.4.18
+Version: 1.4.20
 Authors@R: c(
     person(
     "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
@@ -31,11 +31,11 @@
         'state.compare.R' 'traceback.R' 'translate.R' 'unitize.R'
         'unitize.core.R' 'unitizer-package.R' 'unitizer.add.R'
         'upgrade.R'
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-03-23 01:52:24 UTC; bg
+Packaged: 2023-10-08 01:22:39 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   R Core Team [cph] (Traceback function sources.)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2022-03-23 13:20:02 UTC
+Date/Publication: 2023-10-08 15:00:02 UTC

=== debian/changelog ===
r-cran-unitizer (1.4.20-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 14:59:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-crayon,
                r-cran-diffobj
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
 Homepage: https://cran.r-project.org/package=unitizer

## r-cran-unitizer 1.4.21

=== debian/changelog ===
r-cran-unitizer (1.4.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 13:26:50 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-crayon,
                r-cran-diffobj
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
 Homepage: https://cran.r-project.org/package=unitizer

## r-cran-unitizer 1.4.22

=== DESCRIPTION ===
--- 
+++ 
@@ -5,11 +5,15 @@
     the tests pass, otherwise execution stops with error details.  If in
     interactive mode, tests can be reviewed through the provided interactive
     environment.
-Version: 1.4.20
+Version: 1.4.22
 Authors@R: c(
     person(
     "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
     role=c("aut", "cre")),
+    person(
+    "Michael", "https://github.com/MichaelChirico", 
+    email="michaelchirico4@gmail.com",
+    role=c("ctb")),
     person(family="R Core Team",
     email="R-core@r-project.org", role="cph",
     comment="Traceback function sources."
@@ -31,11 +35,13 @@
         'state.compare.R' 'traceback.R' 'translate.R' 'unitize.R'
         'unitize.core.R' 'unitizer-package.R' 'unitizer.add.R'
         'upgrade.R'
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-10-08 01:22:39 UTC; bg
+Packaged: 2025-03-18 21:06:34 UTC; brodie
 Author: Brodie Gaslam [aut, cre],
+  Michael https://github.com/MichaelChirico [ctb],
   R Core Team [cph] (Traceback function sources.)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2023-10-08 15:00:02 UTC
+Date/Publication: 2025-03-19 00:40:02 UTC

=== inst/expkg/flm0/DESCRIPTION ===
Package: utzflm
Title: Quickly Compute Simple Linear Regressions
Description: This is a demo package used to illustrate usage of the `unitizer`
    package.
Version: 0.1.0
Author: Brodie Gaslam
Maintainer: Brodie Gaslam <brodieDOTgaslam@MARISSAMAYERSCOMPANY.com>
Depends:
    R (>= 3.0.2)
Imports:
    stats
Suggests:
    unitizer
License: GPL-2
LazyData: true
RoxygenNote: 5.0.1

=== debian/changelog ===
r-cran-unitizer (1.4.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 11:18:22 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-crayon,
                r-cran-diffobj
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
 Homepage: https://cran.r-project.org/package=unitizer

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 %:
 	dh $@ --buildsystem R
+
+# Remove image data which seems privacy breaching
+execute_after_dh_install:
+	find debian/ -name u1_intro.html | xargs sed -i '/^.*img src=/d'
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-unitizer 1.4.23

=== debian/changelog ===
r-cran-unitizer (1.4.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 08:48:21 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-crayon,
-               r-cran-diffobj
-Standards-Version: 4.7.2
+               r-cran-diffobj,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-unitizer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-unitizer.git
 Homepage: https://cran.r-project.org/package=unitizer
